Lazybuntu - Ubuntu 懶人包,測試版釋出 [論壇 - Ubuntu 與工具程式及軟體推薦]


正在瀏覽:   1 名遊客


 到底部   前一個主題   下一個主題  [無發表權] 請登錄或者註冊

« 1 2 3 (4) 5 6 7 ... 10 »


回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
會員三級
註冊日期:
2005/6/23 11:51
所屬群組:
網站管理員
已註冊使用者
等級: 14
HP : 0 / 343
MP : 82 / 17646
EXP: 72
離線
ダメ人間 寫到:
你好
我想要把它轉成KDE也能使用
因此正在著手pyqt4的ui重寫(雖然我很確定進度會很緩慢,除非找到人一起研究)
請問會在project的銜接上發生問題嗎?
謝謝

這件事情基本上沒有太大的意義.... 我覺得是浪費時間的成分居多
pygtk 在 KDE 下運作非常良好,用 qt 重寫並不會多獲得什麼好處
Gnome 下應該用 GTK+/Gnome 程式,KDE 下應該用 Qt/KDE 程式,
這是很普遍的嚴重誤解.... 這樣的觀念是非常錯誤的。

就跟很多人以為 Office 2000 要 Windows 2000 才能用,
而 Office xp 只能夠在 Windows xp 上安裝一樣。
PyGTK 應該是系統上預設一定會有的東西....
Ubuntu 有太多用這個開發的工具了,系統上不太可能會沒裝
如果真的沒裝,大不了你在啟動的 script 裡面 apt-get install。
真的犯不著為了這樣浪費時間重寫圖形介面。

如果你只是希望讓 GTK+ 程式看起來跟 KDE 的介面一樣...
這件事情只需要換 theme 就可以做到,根本不用重寫程式。
就我的了解,Redhat 和 Mandriva 在這部份都做得很好。
他們的 Gnome/KDE 軟體都儘量弄得外觀非常接近,
只有 Ubuntu 下是兩個差很多.....

良心建議:這些時間拿來改善後端的 scripts 還比較實際一點.....
你寶貴的能力和時間,應該貢獻在更有用處的地方。

2007/10/9 0:01
應用擴展 工具箱
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
會員三級
註冊日期:
2005/6/23 11:51
所屬群組:
網站管理員
已註冊使用者
等級: 14
HP : 0 / 343
MP : 82 / 17646
EXP: 72
離線
akong 寫到:
使用0.1b3
安裝smplayer時找不到套件(所以沒安裝)
並且用tw.archive的source更新時到一半會卡住不動
可安裝Arcobat 8.1
但是沒有中文化(是本來就沒有嗎??)
啟動arcobat時會出現需要libgtkembedmoz
不知可否預設安裝...因為不知要去哪找source??
謝謝

1. smplayer 在 7.10 gutsy 才有收錄
2. tw.archive 那是 server 的問題,不是我們程式的問題。
3. adobe 8 本來就沒中文版,不知道以後會不會有
4. gtkmozembed Ubuntu 上沒有這個獨立的套件,那是 Firefox 的一部份。

2007/10/9 0:06
應用擴展 工具箱
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
版主
註冊日期:
2006/12/24 16:54
所屬群組:
網站管理員
已註冊使用者
等級: 33
HP : 0 / 816
MP : 524 / 38413
EXP: 67
離線
問題就是,不能執行= =
不知道是gutsy沒包還怎麼樣
我改了一開始的shell讓它可以選擇跑gksudo和kdesu
但是我實在不知道要怎麼樣才能執行pygtk
因為它就是找不到pygtk的module

edit:
好吧,我承認我恍神得很嚴重
我想我大概可以找出depends的套件了
只是對KDE用戶來說不是預裝套件

但是執行起來....
icon的部分要改

2007/10/9 0:07
就算你百分之一百認定某人是渣滓中的渣滓,請仍然展示你的冷靜、體諒、尊重。

* My Blog
* My Twitter <- follow me!
* My Plurk
FoolproofProject:
* KomiX latest stable: v0.1.0 (Comics Viewer)
* Khopper latest stable: v0.4.2 (Audio Converter with CUE Sheet Support)
* PicKing latest stable: v0.2.3 (File Picking)
應用擴展 工具箱
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
會員三級
註冊日期:
2005/6/23 11:51
所屬群組:
網站管理員
已註冊使用者
等級: 14
HP : 0 / 343
MP : 82 / 17646
EXP: 72
離線
ダメ人間 寫到:
問題就是,不能執行= =
不知道是gutsy沒包還怎麼樣
我改了一開始的shell讓它可以選擇跑gksudo和kdesu
但是我實在不知道要怎麼樣才能執行pygtk
因為它就是找不到pygtk的module

edit:
好吧,我承認我恍神得很嚴重
我想我大概可以找出depends的套件了
只是對KDE用戶來說不是預裝套件

但是執行起來....
icon的部分要改

執行完這行就會動了: apt-get install python-gtk2
會遇到的問題是... 如果使用者沒網路,那你需要叫使用者插入光碟
apt-get 才會抓得到套件可以裝。
icon 的 naming.... 真的的確是個讓人頭痛的問題

kubuntu 預設沒裝 pygtk 真的是很詭異的事情,有太多軟體用到它了
這就是我所謂的意識型態問題。
許多 KDE users 打死不裝 G 系列軟體,很多 Gnome/XFCE 使用者也是堅持不要 K 系列和 Q 系列軟體。
他們只管跟他們是不是同一陣營,不管軟體的功能好不好用。
我個人是很不鼓勵這種行為...
與其浪費時間把程式重寫一次,
設法改改 GTK+/Qt 的 Theme 和系統設定,讓兩者可以儘量接近,
這樣真的才是比較實際且有幫助的作法。
偏偏很多人就不是這麼想的..... 意識型態掛帥的結果,
製造了很多不必要的內耗,而時間都浪費在對功能和品質沒有提昇的地方。

2007/10/9 0:32
應用擴展 工具箱
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
版主
註冊日期:
2006/12/24 16:54
所屬群組:
網站管理員
已註冊使用者
等級: 33
HP : 0 / 816
MP : 524 / 38413
EXP: 67
離線
其實python-gtk2有安裝
只是python-vte沒有
我應該會把這個判斷加到啟動shell裡
但是我之後又裝了一堆有的沒的
不太確定是否只缺這個
稍後會再確認一次(或是等release出來再確認)

還有,gksudo的--preserve-env參數在kdesu有對應的參數嗎?
勉強有關係的好像只有DCOP的設定

仔細看了一下
icon要改真的很麻煩= =
這部分可以改成開放架構嗎?

2007/10/9 0:40
就算你百分之一百認定某人是渣滓中的渣滓,請仍然展示你的冷靜、體諒、尊重。

* My Blog
* My Twitter <- follow me!
* My Plurk
FoolproofProject:
* KomiX latest stable: v0.1.0 (Comics Viewer)
* Khopper latest stable: v0.4.2 (Audio Converter with CUE Sheet Support)
* PicKing latest stable: v0.2.3 (File Picking)
應用擴展 工具箱
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
會員三級
註冊日期:
2005/6/23 11:51
所屬群組:
網站管理員
已註冊使用者
等級: 14
HP : 0 / 343
MP : 82 / 17646
EXP: 72
離線
ダメ人間 寫到:
其實python-gtk2有安裝
只是python-vte沒有
我應該會把這個判斷加到啟動shell裡
但是我之後又裝了一堆有的沒的
不太確定是否只缺這個
稍後會再確認一次(或是等release出來再確認)

還有,gksudo的--preserve-env參數在kdesu有對應的參數嗎?
勉強有關係的好像只有DCOP的設定

仔細看了一下
icon要改真的很麻煩= =
這部分可以改成開放架構嗎?

icon 要改其實滿簡單的...... xml 檔裡面的 icon
都是使用 icon theme 的名稱指定
Gnome 和 KDE 應該都有遵照那個 spec
你只要找一些 KDE 的 icon theme 底下有的 icon 換掉它們即可
其實不很難...

python-vte.... 目前的確無法不用 @_@

至於 --preserve-env,我測試了一下,
kdesudo 好像預設不用參數,就會保存目前的 environment variables
也許你可以試試看。

2007/10/9 4:13
應用擴展 工具箱
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
會員二級
註冊日期:
2007/10/9 3:38
所屬群組:
已註冊使用者
等級: 5
HP : 0 / 114
MP : 15 / 5139
EXP: 59
離線
辛苦你們了!!!
給你們鼓勵 謝謝你們的付出 帶給一堆人使用上更加便利
繼續加油 支持你們!!
PS:我還不能測試 因為我在等我的新硬碟 安裝之前要備份
我是希望XP和UBUNTU 可以順利和XP並存 LOL!!
但是我是新手所以要先備份資料 不然用錯了 會哭死 哈哈!!

2007/10/9 4:35
應用擴展 工具箱
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
會員四級
註冊日期:
2005/6/13 11:56
所屬群組:
已註冊使用者
等級: 17
HP : 0 / 419
MP : 121 / 21596
EXP: 77
離線
1. smplayer 在 7.10 gutsy 才有收錄
2. tw.archive 那是 server 的問題,不是我們程式的問題。
3. adobe 8 本來就沒中文版,不知道以後會不會有
4. gtkmozembed Ubuntu 上沒有這個獨立的套件,那是 Firefox 的一部份。


謝謝大大的回覆
1. 我是使用7.10的版本,可是就是沒有辦法安裝smplayer
2. 我了解啊,只是每次在安裝的時候,跑到更新tw.archive的時候就會卡住不動,可否設定多久沒回應就略過呢??
3. 了解...
4. 那我的firefox是安裝Ubuntu 7.10時就內建的,需要去哪抓這個原件呢??謝謝大大的指教

2007/10/9 8:45
應用擴展 工具箱
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
版主
註冊日期:
2006/12/24 16:54
所屬群組:
網站管理員
已註冊使用者
等級: 33
HP : 0 / 816
MP : 524 / 38413
EXP: 67
離線
PCMan 寫到:icon 要改其實滿簡單的...... xml 檔裡面的 icon
都是使用 icon theme 的名稱指定
Gnome 和 KDE 應該都有遵照那個 spec
你只要找一些 KDE 的 icon theme 底下有的 icon 換掉它們即可
其實不很難...

python-vte.... 目前的確無法不用 @_@

至於 --preserve-env,我測試了一下,
kdesudo 好像預設不用參數,就會保存目前的 environment variables
也許你可以試試看。


難跟麻煩是有點差異的

我的想法是,把icon name獨立成一個class
這樣可以根據不同的theme來一次修改所有圖示
或是你希望不同的桌面環境要分開寫script, 那就算了

現在kdesu有點卡到陰
直接點擊執行會找不到ui/Lazybuntu.py
但是在console下命令卻可以
目前正在找原因

2007/10/9 19:06
就算你百分之一百認定某人是渣滓中的渣滓,請仍然展示你的冷靜、體諒、尊重。

* My Blog
* My Twitter <- follow me!
* My Plurk
FoolproofProject:
* KomiX latest stable: v0.1.0 (Comics Viewer)
* Khopper latest stable: v0.4.2 (Audio Converter with CUE Sheet Support)
* PicKing latest stable: v0.2.3 (File Picking)
應用擴展 工具箱
訪客
回復: Lazybuntu - Ubuntu 懶人包,測試版釋出
Anon:訪客
今天有試用了一下,不過原本預設要裝的東西太多,要一一取消太麻煩(好像有人提過,或者已解決…any way)。
再來就是我取消了全部的選擇,後來只選一樣ie4linux,不過ie4linux一安裝完後,接下來原本已取消安裝的東西,卻接著安裝,於是我只好手動取消。
ps.我原本的東西早已裝了七七八八,等到7.10正試發佈後再試試。

2007/10/9 19:18 | 8750d 476f6 abd60 50c0a
應用擴展 工具箱

« 1 2 3 (4) 5 6 7 ... 10 »

 [無發表權] 請登錄或者註冊


可以查看帖子.
不可發帖.
不可回覆.
不可編輯自己的帖子.
不可刪除自己的帖子.
不可發起投票調查.
不可在投票調查中投票.
不可上傳附件.
不可不經審核直接發帖.